org.apache.http

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.http.ParseException

All Implemented Interfaces:
  Serializable

    public class ParseException
    extends RuntimeException

Signals a parse error. Parse errors when receiving a message will typically trigger `ProtocolException`. Parse errors that do not occur during protocol execution may be handled differently. This is an unchecked exception, since there are cases where the data to be parsed has been generated and is therefore known to be parseable.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParseException()` Creates a `ParseException` without details.
`ParseException(String message)` Creates a `ParseException` with a detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException()

Creates a `ParseException` without details.

#### ParseException

    public ParseException(String message)

Creates a `ParseException` with a detail message.

Parameters:
  `message` - the exception detail message, or `null`